---
updatedAt: 2026-03-02T11:17:49.000Z
---

# Create a display name bulk submission

Submit display names, associated a-numbers, and optional program data for streamlined branding setup

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Background Processing API",
    "version": "1.0"
  },
  "paths": {
    "/exchange/v1/businesses/{businessId}/display-name-bulk": {
      "post": {
        "tags": [
          "Display Name Bulk"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "businessId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Model-1"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Display name bulk submission created successfully",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "type": "object",
                      "properties": {
                        "submission": {
                          "type": "object",
                          "properties": {
                            "businessId": {
                              "type": "string"
                            },
                            "createdAt": {
                              "type": "integer"
                            },
                            "displayNames": {
                              "type": "string"
                            },
                            "segmentsProcessed": {
                              "type": "integer"
                            },
                            "segmentsTotal": {
                              "type": "integer"
                            },
                            "status": {
                              "type": "string"
                            },
                            "statusMessage": {
                              "type": "string"
                            },
                            "submissionId": {
                              "type": "string"
                            },
                            "updatedAt": {
                              "type": "integer"
                            }
                          }
                        }
                      }
                    },
                    "error": {
                      "type": "object",
                      "example": "null"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "type": "object",
                      "example": "null"
                    },
                    "error": {
                      "type": "string",
                      "example": "rpc error: code = InvalidArgument desc = invalid request body"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object"
                }
              }
            }
          },
          "429": {
            "description": "Only one active bulk submission at a time is allowed",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "body": {
                      "type": "string",
                      "example": "null"
                    },
                    "error": {
                      "type": "string",
                      "example": "too many requests made, please try again later"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Error",
            "content": {
              "*/*": {
                "schema": {
                  "type": "object"
                }
              }
            }
          }
        },
        "description": "Submit display names, associated a-numbers, and optional program data for streamlined branding setup",
        "summary": "Create a display name bulk submission"
      }
    }
  },
  "components": {
    "schemas": {
      "Model-1": {
        "type": "object",
        "properties": {
          "displayNameBulks": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "callPurposeCode": {
                  "type": "string",
                  "minimum": 2,
                  "maximum": 2
                },
                "displayName": {
                  "type": "string",
                  "minimum": 3,
                  "maximum": 32
                },
                "endDate": {
                  "type": "number"
                },
                "phoneNumbers": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  },
                  "minimum": 1
                },
                "startDate": {
                  "type": "number"
                }
              },
              "required": [
                "displayName",
                "callPurposeCode",
                "phoneNumbers"
              ]
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```